Subject: bug#60040: 29.0.50; flymake manual should document language support

From: João Távora <[email-masked]>
Date: Tue, 13 Dec 2022 18:28:26 +0000

I don't think it's very useful to maintain this list by hand.

It's a duplication of information, and such things always
invariably end up outdated and useless.

I think it's more useful to write a program that collects
this information automatically.  The fact that you're
finding this task boring and repetitive is enough of a hint
that such a program can be written. I'd say start with
a dolist of known major modes and a temp buffer,
set the buffer in the major mode and check if there's
a buffer-local value of flymake-diagnostic-backends.

Also, given the advent of LSP, I think the trend is
for Flymake to be chiefly useful when connected
with something like Eglot.  Not exclusively so, but
rather predominantly so.

João